Security Advisory Important: chromium-browser security update

Advisory: RHSA-2015:1499-1
Type: Security Advisory
Severity: Important
Issued on: 2015-07-27
Last updated on: 2015-07-27
Affected Products: Red Hat Enterprise Linux Desktop Supplementary (v. 6)
Red Hat Enterprise Linux Server Supplementary (v. 6)
Red Hat Enterprise Linux Server Supplementary EUS (v. 6.7.z)
Red Hat Enterprise Linux Workstation Supplementary (v. 6)
CVEs (cve.mitre.org): CVE-2015-1270
CVE-2015-1271
CVE-2015-1272
CVE-2015-1273
CVE-2015-1274
CVE-2015-1276
CVE-2015-1277
CVE-2015-1278
CVE-2015-1279
CVE-2015-1280
CVE-2015-1281
CVE-2015-1282
CVE-2015-1283
CVE-2015-1284
CVE-2015-1285
CVE-2015-1286
CVE-2015-1287
CVE-2015-1288
CVE-2015-1289
CVE-2015-5605

Details

Updated chromium-browser packages that fix multiple security issues are now
available for Red Hat Enterprise Linux 6 Supplementary.

Red Hat Product Security has rated this update as having Important security
impact. Common Vulnerability Scoring System (CVSS) base scores, which give
detailed severity ratings, are available for each vulnerability from the
CVE links in the References section.

Chromium is an open-source web browser, powered by WebKit (Blink).

Several flaws were found in the processing of malformed web content. A web
page containing malicious content could cause Chromium to crash or,
potentially, execute arbitrary code with the privileges of the user running
Chromium. (CVE-2015-1271, CVE-2015-1270, CVE-2015-1272, CVE-2015-1273,
CVE-2015-1274, CVE-2015-1276, CVE-2015-1277, CVE-2015-1278, CVE-2015-1279,
CVE-2015-1281, CVE-2015-1282, CVE-2015-1283, CVE-2015-1284, CVE-2015-1285,
CVE-2015-1286, CVE-2015-1287, CVE-2015-1288, CVE-2015-1289, CVE-2015-5605)

All Chromium users should upgrade to these updated packages, which contain
Chromium version 44.0.2403.89, which corrects these issues. After
installing the update, Chromium must be restarted for the changes to take
effect.


Solution

Before applying this update, make sure all previously released errata
relevant to your system have been applied.

For details on how to apply this update, refer to:

https://access.redhat.com/articles/11258

Updated packages

Red Hat Enterprise Linux Desktop Supplementary (v. 6)

IA-32:
chromium-browser-44.0.2403.89-1.el6.i686.rpm
File outdated by:  RHSA-2017:1228
    MD5: 63278d4eebde5c1b5d35694695023db2
SHA-256: 33dd68badaccdbf7feb2a04d3c5f597dbe6e2b0ad5f72e850444b703567f18f4
chromium-browser-debuginfo-44.0.2403.89-1.el6.i686.rpm
File outdated by:  RHSA-2017:1228
    MD5: ea209488460bb86c136c29a42b7c6fb8
SHA-256: 9250dd67e607deeaceed0c01e5ecfab05c6882d9155a57329cfd8c2f96a59105
 
x86_64:
chromium-browser-44.0.2403.89-1.el6.x86_64.rpm
File outdated by:  RHSA-2017:1228
    MD5: f4f12c55d7e350865aa15ebf371d7f92
SHA-256: 4d4c050fda1650d0de56bb3ee97567d1c46b49543f413bfca65ab539ce6600b7
chromium-browser-debuginfo-44.0.2403.89-1.el6.x86_64.rpm
File outdated by:  RHSA-2017:1228
    MD5: 36560e87bb3eeff96bb14effeebb5755
SHA-256: 91025d3f9a7661a4cef10ed1e3deb82835e27705fa80d9ae0b4b8fc1f6f4ddb1
 
Red Hat Enterprise Linux Server Supplementary (v. 6)

IA-32:
chromium-browser-44.0.2403.89-1.el6.i686.rpm
File outdated by:  RHSA-2017:1228
    MD5: 63278d4eebde5c1b5d35694695023db2
SHA-256: 33dd68badaccdbf7feb2a04d3c5f597dbe6e2b0ad5f72e850444b703567f18f4
chromium-browser-debuginfo-44.0.2403.89-1.el6.i686.rpm
File outdated by:  RHSA-2017:1228
    MD5: ea209488460bb86c136c29a42b7c6fb8
SHA-256: 9250dd67e607deeaceed0c01e5ecfab05c6882d9155a57329cfd8c2f96a59105
 
x86_64:
chromium-browser-44.0.2403.89-1.el6.x86_64.rpm
File outdated by:  RHSA-2017:1228
    MD5: f4f12c55d7e350865aa15ebf371d7f92
SHA-256: 4d4c050fda1650d0de56bb3ee97567d1c46b49543f413bfca65ab539ce6600b7
chromium-browser-debuginfo-44.0.2403.89-1.el6.x86_64.rpm
File outdated by:  RHSA-2017:1228
    MD5: 36560e87bb3eeff96bb14effeebb5755
SHA-256: 91025d3f9a7661a4cef10ed1e3deb82835e27705fa80d9ae0b4b8fc1f6f4ddb1
 
Red Hat Enterprise Linux Server Supplementary EUS (v. 6.7.z)

IA-32:
chromium-browser-44.0.2403.89-1.el6.i686.rpm
File outdated by:  RHSA-2016:0707
    MD5: 63278d4eebde5c1b5d35694695023db2
SHA-256: 33dd68badaccdbf7feb2a04d3c5f597dbe6e2b0ad5f72e850444b703567f18f4
chromium-browser-debuginfo-44.0.2403.89-1.el6.i686.rpm
File outdated by:  RHSA-2016:0707
    MD5: ea209488460bb86c136c29a42b7c6fb8
SHA-256: 9250dd67e607deeaceed0c01e5ecfab05c6882d9155a57329cfd8c2f96a59105
 
x86_64:
chromium-browser-44.0.2403.89-1.el6.x86_64.rpm
File outdated by:  RHSA-2016:0707
    MD5: f4f12c55d7e350865aa15ebf371d7f92
SHA-256: 4d4c050fda1650d0de56bb3ee97567d1c46b49543f413bfca65ab539ce6600b7
chromium-browser-debuginfo-44.0.2403.89-1.el6.x86_64.rpm
File outdated by:  RHSA-2016:0707
    MD5: 36560e87bb3eeff96bb14effeebb5755
SHA-256: 91025d3f9a7661a4cef10ed1e3deb82835e27705fa80d9ae0b4b8fc1f6f4ddb1
 
Red Hat Enterprise Linux Workstation Supplementary (v. 6)

IA-32:
chromium-browser-44.0.2403.89-1.el6.i686.rpm
File outdated by:  RHSA-2017:1228
    MD5: 63278d4eebde5c1b5d35694695023db2
SHA-256: 33dd68badaccdbf7feb2a04d3c5f597dbe6e2b0ad5f72e850444b703567f18f4
chromium-browser-debuginfo-44.0.2403.89-1.el6.i686.rpm
File outdated by:  RHSA-2017:1228
    MD5: ea209488460bb86c136c29a42b7c6fb8
SHA-256: 9250dd67e607deeaceed0c01e5ecfab05c6882d9155a57329cfd8c2f96a59105
 
x86_64:
chromium-browser-44.0.2403.89-1.el6.x86_64.rpm
File outdated by:  RHSA-2017:1228
    MD5: f4f12c55d7e350865aa15ebf371d7f92
SHA-256: 4d4c050fda1650d0de56bb3ee97567d1c46b49543f413bfca65ab539ce6600b7
chromium-browser-debuginfo-44.0.2403.89-1.el6.x86_64.rpm
File outdated by:  RHSA-2017:1228
    MD5: 36560e87bb3eeff96bb14effeebb5755
SHA-256: 91025d3f9a7661a4cef10ed1e3deb82835e27705fa80d9ae0b4b8fc1f6f4ddb1
 
(The unlinked packages above are only available from the Red Hat Network)

Bugs fixed (see bugzilla for more information)

1245436 - CVE-2015-1271 chromium-browser: Heap-buffer-overflow in pdfium
1245574 - CVE-2015-1270 chromium-browser: Uninitialized memory read in ICU.
1245575 - CVE-2015-1272 chromium-browser: Use-after-free related to unexpected GPU process termination in unspecified
1245576 - CVE-2015-1273 chromium-browser: Heap-buffer-overflow in pdfium.
1245577 - CVE-2015-1274 chromium-browser: Settings allowed executable files to run immediately after download in unsepcified
1245580 - CVE-2015-1276 chromium-browser: Use-after-free in IndexedDB.
1245581 - CVE-2015-1277 chromium-browser: Use-after-free in accessibility.
1245582 - CVE-2015-1278 chromium-browser: URL spoofing using pdf files in unspecified
1245583 - CVE-2015-1279 chromium-browser: Heap-buffer-overflow in pdfium.
1245585 - CVE-2015-1281 chromium-browser: CSP bypass in unspecified component
1245586 - CVE-2015-1282 chromium-browser: Use-after-free in pdfium.
1245587 - CVE-2015-1283 chromium-browser: Heap-buffer-overflow in expat.
1245588 - CVE-2015-1284 chromium-browser: Use-after-free in blink.
1245589 - CVE-2015-1285 chromium-browser: Information leak in XSS auditor.
1245590 - CVE-2015-1286 chromium-browser: UXSS in blink.
1245591 - CVE-2015-1287 chromium-browser: SOP bypass with CSS in unspecified
1245592 - CVE-2015-1288 chromium-browser: Spell checking dictionaries fetched over HTTP in unspecified
1245593 - CVE-2015-1289 chromium-browser: Various fixes from internal audits, fuzzing and other initiatives
1245955 - CVE-2015-5605 chromium-browser: v8 denial of service


References



These packages are GPG signed by Red Hat for security. Our key and details on how to verify the signature are available from:
https://www.redhat.com/security/team/key/#package

The Red Hat security contact is secalert@redhat.com. More contact details at http://www.redhat.com/security/team/contact/